import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:cursedpact") {
        const player = event.source;
        let cd = getScore('chaoswcd', player);

        if (cd >= 2) {
            player.runCommand("function pacts/cursedpact")
        }
    }
})